common:
    target:
        - atsam3u2c
    core:
        - Cortex-M3
    macros:
        - INTERFACE_SAM3U2C
        - __SAM3U2C__
        - DAPLINK_HIC_ID=0x97969903  # DAPLINK_HIC_ID_SAM3U2C
        - OS_CLOCK=96000000
    includes:
        - source/hic_hal/atmel/sam3u2c
        - source/hic_hal/atmel/sam3u2c
        - projectfiles/uvision/sam3u2c_bl/build
    sources:
        hic_hal:
            - source/hic_hal/atmel/sam3u2c
            - source/hic_hal/atmel/sam3u2c/armcc
            - source/hic_hal/atmel/sam3u2c

tool_specific:
    uvision:
        misc:
            ld_flags:
                - --predefine="-I..\..\..\source\hic_hal\atmel\sam3u2c"
    make_armcc:
        misc:
            ld_flags:
                - --predefine="-Isource\hic_hal\atmel\sam3u2c"
